GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
gdcm::SurfaceHelper Class Reference

SurfaceHelper Helper class for Surface object. More...

`#include <gdcmSurfaceHelper.h>`

## Public Types

typedef std::vector< unsigned short > | ColorArray

## Static Public Member Functions

template<typename T , typename U >
static std::vector< T > | RecommendedDisplayCIELabToRGB (const ColorArray &CIELab, const U rangeMax=255)
| Convert a DICOM CIE-Lab (after reading) color into RGB.
template<typename U >
static std::vector< float > | RecommendedDisplayCIELabToRGB (const ColorArray &CIELab, const U rangeMax=255)
| Convert a DICOM CIE-Lab (after reading) color into RGB.
template<typename T , typename U >
static ColorArray | RGBToRecommendedDisplayCIELab (const std::vector< T > &RGB, const U rangeMax=255)
| Convert a RGB color into DICOM CIE-Lab (ready to write).
template<typename T , typename U >
static unsigned short | RGBToRecommendedDisplayGrayscale (const std::vector< T > &RGB, const U rangeMax=255)
| Convert a RGB color into DICOM grayscale (ready to write).

## Detailed Description

SurfaceHelper Helper class for Surface object.

## Member Typedef Documentation

typedef std::vector< unsigned short > gdcm::SurfaceHelper::ColorArray

## Member Function Documentation

template<typename U >

std::vector< float > gdcm::SurfaceHelper::RecommendedDisplayCIELabToRGB | ( | const ColorArray & | CIELab,
|  | const U | rangeMax = `255`
| ) |  |

static

Convert a DICOM CIE-Lab (after reading) color into RGB.

See Also
  PS 3.3 C.10.7.1.1

Parameters

  CIELab | DICOM CIE-Lab array.
  rangeMax | Max value of the RGB range.

Template Parameters

  T | Type of CIELab components.
  U | Type of rangeMax value.

template<typename U >

static std::vector<float> gdcm::SurfaceHelper::RecommendedDisplayCIELabToRGB | ( | const ColorArray & | CIELab,
|  | const U | rangeMax = `255`
| ) |  |

static

Convert a DICOM CIE-Lab (after reading) color into RGB.

See Also
  PS 3.3 C.10.7.1.1

Parameters

  CIELab | DICOM CIE-Lab array.
  rangeMax | Max value of the RGB range.

Template Parameters

  U | Type of rangeMax value.

template<typename T , typename U >

SurfaceHelper::ColorArray gdcm::SurfaceHelper::RGBToRecommendedDisplayCIELab | ( | const std::vector< T > & | RGB,
|  | const U | rangeMax = `255`
| ) |  |

static

Convert a RGB color into DICOM CIE-Lab (ready to write).

See Also
  PS 3.3 C.10.7.1.1

Parameters

  RGB | RGB array.
  rangeMax | Max value of the RGB range.

Template Parameters

  T | Type of RGB components.
  U | Type of rangeMax value.

template<typename T , typename U >

unsigned short gdcm::SurfaceHelper::RGBToRecommendedDisplayGrayscale | ( | const std::vector< T > & | RGB,
|  | const U | rangeMax = `255`
| ) |  |

static

Convert a RGB color into DICOM grayscale (ready to write).

See Also
  PS 3.3 C.27.1 tag(0062,000C)

Parameters

  RGB | RGB array.
  rangeMax | Max value of the RGB range.

Template Parameters

  T | Type of RGB components.
  U | Type of rangeMax value.

The documentation for this class was generated from the following file:

- gdcmSurfaceHelper.h